Skip to main content
POST
/
v1
/
card-hierarchies
/
{cardHierarchyId}
/
activate
Activate Card Hierarchy
curl --request POST \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/hierarchy/v1/card-hierarchies/{cardHierarchyId}/activate' \
  --header 'Authorization: Basic <encoded-value>'
{
  "code": "<string>",
  "message": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "errorCode": "<string>",
  "errorType": "STATIC_VALIDATION_ERROR",
  "errorReason": "<string>",
  "timestamp": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

cardHierarchyId
string<biginteger>
required

Card hierarchy id

Query Parameters

auditUser
string
required

The audit user to log the request

Response

Successful activation of the card hierarchy